{% extends "header.html" %}

{% block title %}GCT | Signup{% endblock %}
{% block content %}
    <div class="container" xmlns="http://www.w3.org/1999/html">
        <div class="col-md-8 col-md-offset-2">

            <h4 align="center" class="blink" style="font-size: 25px"> ---- Details ---- </h4>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="tab-content">
                        <br><br>
                        {% if form1 %}
                            <!-- Display Form -->
                            <form id="submitform" method="POST" class="form-horizontal" enctype="multipart/form-data">
                                {% csrf_token %}
                                <input type="text" name="user_name" value="{{ user }}" hidden>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Email</label>
                                    <div class="col-md-9 col-sm-7 col-xs-12">
                                        <input class="form-control" type="text" value="{{ user }}" disabled>
                                    </div>
                                </div>
                                {% if acc_type == 'student' %}
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Department</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            <select name="department" id="department" class="form-control"
                                                    required>
                                                <option disabled selected>-----------</option>
                                                {% for each in department_list %}
                                                    <option value="{{ each.id }}">{{ each }}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group" id="entrytab" style="display: none">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Student Entry</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            <select name="entrytype" id="entrytype" class="form-control"
                                                    required>
                                                <option disabled selected>-----------</option>
                                                <option value="regular">Regular Student</option>
                                                <option value="lateral">Lateral Student</option>
                                                <option value="transfer">Transfered Student</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group" id="programmetab" style="display: none">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Programme</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            <select name="qualification" id="qualification" class="form-control"
                                                    required>
                                                <option disabled selected>-----------</option>
                                                <option value="UG">Under Graduate</option>
                                                <option value="PG">Post Graduate</option>
                                                <option value="Phd">Doctrate of Philosophy</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group" id="batchtab" style="display: none">

                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Batch</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            <select name="batch" id="batch" class="form-control" required>
                                                <option disabled selected>-----------</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group" id="id_roll_number_question">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Do you have Roll
                                            number?</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            <label for="id_has_roll_number_0">
                                                <input id="id_has_roll_number_0" type="radio" name="has_roll_number"
                                                       value=true required>Yes
                                            </label>
                                            <label for="id_has_roll_number_1">
                                                <input id="id_has_roll_number_1" type="radio" name="has_roll_number"
                                                       value=false required checked>No
                                            </label>
                                        </div>
                                    </div>
                                {% endif %}

                                {% for field in form1 %}
                                    <div class="form-group {% if field.errors %} has-error{% endif %}">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                               id={{ field.id_for_label }}>{{ field.label }}</label>
                                        <div class="col-md-9 col-sm-7 col-xs-12">
                                            {{ field }}
                                            {% for error in field.errors %}
                                                <span class="help-block">
                                                {{ error|escape }}
                                            </span>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endfor %}
                                <div class="col-sm-2 col-sm-offset-5">
                                    <button id="submit" type="submit" class="save btn btn-lg btn-success"
                                            name="{{ acc_type }}">
                                        Submit Details
                                    </button>
                                </div>
                            </form>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $('document').ready(function () {
            $("input[id='id_dob']").daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'YYYY-MM-DD',
                }

            });
            $("input[id='id_date_of_joining']").daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'YYYY-MM-DD',
                }
            });
        });
    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            $('[name="designation"]').change(function () {
                $current_choice = $(this).val();

                if ($current_choice == 'Network Admin' || $current_choice == 'Hostel Admin') {
                    $('[name="qualification"]').closest('div').parent().hide();
                    $('[name="degree"]').closest('div').parent().hide();
                    $('[name="specialization"]').closest('div').parent().hide();
                    $('[name="qualification"]').val('Other');
                    $('[name="degree"]').val('Not Specified');
                    $('[name="specialization"]').val('Not Specified');
                }

                if ($current_choice == 'Network Admin' || $current_choice == 'Hostel Admin') {
                    $('[name="qualification"]').closest('div').parent().show();
                    $('[name="degree"]').closest('div').parent().show();
                    $('[name="specialization"]').closest('div').parent().show();
                }
            });
        });
    </script>


    <script type="text/javascript">

        {% if error == 'datamiss' %}
            alert('Fill up all the fields properly');
        {% endif %}

        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('#department').val('-----------');
            $('input[name=roll_no]').parent().parent().hide();
            $('input[name=roll_no]').val('999999');
        });

        $(document).on("change", '#department', function (e) {
            $('#entrytab').show();
            $('#entrytype').show();
            $('#entrytype').val('-----------');
            $('#qualification').val('-----------');
            $('#batch').empty();
            $('#batch').append('<option disabled selected>' + '-----------' + '</option>');
            $('#batch').val('-----------');
        });

        $(document).on("change", '#entrytype', function (e) {
            $('#programmetab').show();
            $('#batchtab').show();
            $('#qualification').val('-----------');
            $('#batch').empty();
            $('#batch').append('<option disabled selected>' + '-----------' + '</option>');
            $('#batch').val('-----------');
        });

        $('input[type=radio][name=has_roll_number]').change(function() {
{#            alert('roll_number');#}
        if (this.value == 'true') {
{#            alert("true");#}
            $('input[name=roll_no]').val('');
            $('input[name=roll_no]').parent().parent().show();
        }
        else if (this.value == 'false') {
            $('input[name=roll_no]').val('999999');
            $('input[name=roll_no]').parent().parent().hide();
        }
    });

        $(document).on("change", '#qualification', function (e) {
            var qualification = $(this).val();
            var department = $('#department').val();

            if (qualification != 'UG') {
                $('#entrytype').val('regular');
                $('#entrytype').prop('disabled', true);
            }
            else {
                $('#entrytype').prop('disabled', false);
            }

            var entry_type = $('#entrytype').val();

            if (entry_type == null) {
                alert('Re-Select Entry Type');
                return;
            }

            $.ajax({
                type: "POST",
                data: {
                    entry_type: entry_type,
                    department: department,
                    qualification: qualification,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'getbatches' %}',
                //dataType: 'json',
                success: function (data) {
                    //$('#batch').val(data['list']);
                    $('#batch').empty();
                    $('#batch').append('<option disabled selected>' + '-----------' + '</option>');
                    $.each(data.list, function (key, val) {
                        $('#batch').append('<option value="' + val.batch_obj + '">' + val.display_batch_text + '</option>');
                    })
                }
            });
        });

        $(document).on("submit", '#submitform', function (e) {
            {% if acc_type == 'student' %}
                var entry_type = $('#entrytype').val();
                var qualification = $('#qualification').val();
                var batch = $('#batch').val();
                if (entry_type == null) {
                    alert('Re-Select Student Entry Properly');
                    e.preventDefault();
                }
                else if (qualification == null) {
                    alert('Re-Select Qualification Properly');
                    e.preventDefault();
                }
                else if (batch == null) {
                    alert('Re-Select Batch properly');
                    e.preventDefault();
                }
            {% endif %}
        });
    </script>


    <style type="text/css">
        .blink {
            animation-duration: 1s;
            animation-name: blink;
            animation-iteration-count: infinite;
            animation-direction: alternate;
            animation-timing-function: ease-in-out;
        }

        @keyframes blink {
            0% {
                color: #0c1fef;
            }
            50% {
                color: #1bffd3;
            }
            75% {
                color: #e08218;
            }
            100% {
                color: #088005;
            }
        }
    </style>

{% endblock %}